# Class Toolbar

java.lang.Object
org.apache.zookeeper.inspector.gui.Toolbar

public class Toolbar extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Toolbar.Button`

## Constructor Summary

Constructors
Constructor
Description
`Toolbar(IconResource iconResource)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addActionListener(Toolbar.Button button, ActionListener actionListener)`
`JToolBar`
`getJToolBar()`
`void`
`toggleButtons(boolean connected)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Toolbar

public Toolbar(IconResource iconResource)

## Method Details

### addActionListener

public void addActionListener(Toolbar.Button button, ActionListener actionListener)

### getJToolBar

public JToolBar getJToolBar()

### toggleButtons

public void toggleButtons(boolean connected)